package org.springblade.modules.external.ycbigdata.smartapplication.wrapper;

import org.springblade.community.accessrecord.entity.AccessRecord;
import org.springblade.core.mp.support.BaseEntityWrapper;
import org.springblade.core.tool.utils.BeanUtil;
import org.springblade.modules.external.ycbigdata.community.vo.AccessRecordVO;
import org.springblade.modules.external.ycbigdata.smartapplication.vo.FaceDeviceVO;
import org.springblade.smartapplication.facedevice.entity.FaceDevice;

import java.util.Objects;

/**
 * Created By lidexi in 2021/3/16
 **/
public class FaceDeviceWrapper extends BaseEntityWrapper<FaceDevice, FaceDeviceVO> {


	public static FaceDeviceWrapper build(){
		return new FaceDeviceWrapper();
	}
	@Override
	public FaceDeviceVO entityVO(FaceDevice faceDevice) {

		FaceDeviceVO faceDeviceVO = Objects.requireNonNull(BeanUtil.copy(faceDevice,FaceDeviceVO.class));
		return faceDeviceVO;
	}
}
